[PATCH] kdumpctl: Error out in case the raw device is formatted and contains filesystem.
by Kenneth Dsouza
From: Kenneth D'souza <kdsouza(a)redhat.com>
Currently the kdumpctl script doesn't check if the raw device is
formatted which might destroy existing data at the time of dump
capture.
This patch addresses this issue, by ensuring that the kdumpctl
errors out in case it finds the raw device to be formatted.
Signed-off-by: Kenneth D'souza <kdsouza(a)redhat.com>
---
kdumpctl | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/kdumpctl b/kdumpctl
index 6a01c13..bb4e576 100755
--- a/kdumpctl
+++ b/kdumpctl
@@ -779,6 +779,11 @@ save_raw()
echo "raw partition $raw_target not found"
return 1
}
+ check_fs=$(lsblk --nodeps -npo FSTYPE $raw_target)
+ if [[ $(echo $check_fs | wc -w) -ne 0 ]]; then
+ echo "Detected $check_fs signature on $raw_target"
+ return 1
+ fi
kdump_dir=`grep ^path $KDUMP_CONFIG_FILE | cut -d' ' -f2-`
if [ -z "${kdump_dir}" ]; then
coredir="/var/crash/`date +"%Y-%m-%d-%H:%M"`"
--
2.14.3
4 years, 9 months
[PATCH 1/2] Remove obsolete kdump tool
by Bhupesh Sharma
Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1441677
Testing: On x86_64 Fedora machine. After this patch kdump utility and related
man page cannot be found on this machine:
[root@tyan-gt24-09 ~]# which kdump
/usr/bin/which: no kdump in
(/usr/lib64/qt-3.3/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin)
[root@tyan-gt24-09 ~]# man kdump
No manual entry for kdump
Update the fedora 'kexec-tools.spec' to not install the obsolete
kdump tool.
I have submitted an upstream patch to obsolete the kdump tool from
upstream kexec-tools (which has been accepted), but after an internal
discussion we decided not to backport the upstream 'kexec-tools' patch
(which does the same) for fedora, as we would prefer to manage the
changes directly in the .spec file itself.
Signed-off-by: Bhupesh Sharma <bhsharma(a)redhat.com>
---
kexec-tools.spec | 29 ++++++++++++++++++++++++++---
1 file changed, 26 insertions(+), 3 deletions(-)
diff --git a/kexec-tools.spec b/kexec-tools.spec
index fb09c9eeea37..7f144a63b098 100644
--- a/kexec-tools.spec
+++ b/kexec-tools.spec
@@ -137,6 +137,17 @@ cp %{SOURCE21} .
cp %{SOURCE27} .
cp %{SOURCE28} .
+# remove kdump tool and man page (if it exists)
+if [ -f /sbin/kdump ]
+then
+ rm -f /sbin/kdump
+fi
+
+if [ -f %{_mandir}/man8/kdump.8.gz ]
+then
+ rm -f %{_mandir}/man8/kdump.8.gz
+fi
+
make
%ifarch %{ix86} x86_64 ppc64 s390x ppc64le aarch64
make -C eppic/libeppic
@@ -146,7 +157,7 @@ make -C makedumpfile-1.6.4 LDFLAGS="-I../eppic/libeppic -L../eppic/libeppic" epp
make -C kdump-anaconda-addon/po
%install
-make install DESTDIR=$RPM_BUILD_ROOT
+mkdir -p -m755 $RPM_BUILD_ROOT/sbin
mkdir -p -m755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p -m755 $RPM_BUILD_ROOT%{_localstatedir}/crash
mkdir -p -m755 $RPM_BUILD_ROOT%{_mandir}/man8/
@@ -160,6 +171,11 @@ mkdir -p -m755 $RPM_BUILD_ROOT%{_libdir}
mkdir -p -m755 $RPM_BUILD_ROOT%{_prefix}/lib/kdump
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/kdumpctl
+install -m 755 build/sbin/kexec $RPM_BUILD_ROOT/sbin/kexec
+install -m 755 build/sbin/vmcore-dmesg $RPM_BUILD_ROOT/sbin/vmcore-dmesg
+install -m 644 build/man/man8/kexec.8 $RPM_BUILD_ROOT%{_mandir}/man8/
+install -m 644 build/man/man8/vmcore-dmesg.8 $RPM_BUILD_ROOT%{_mandir}/man8/
+
SYSCONFIG=$RPM_SOURCE_DIR/kdump.sysconfig.%{_target_cpu}
[ -f $SYSCONFIG ] || SYSCONFIG=$RPM_SOURCE_DIR/kdump.sysconfig.%{_arch}
[ -f $SYSCONFIG ] || SYSCONFIG=$RPM_SOURCE_DIR/kdump.sysconfig
@@ -289,7 +305,10 @@ do
done
%files
-/sbin/*
+/sbin/kexec
+/sbin/makedumpfile
+/sbin/mkdumprd
+/sbin/vmcore-dmesg
%{_bindir}/*
%{_datadir}/kdump
%{_prefix}/lib/kdump
@@ -303,7 +322,11 @@ done
%endif
%{dracutlibdir}/modules.d/*
%dir %{_localstatedir}/crash
-%{_mandir}/man8/*
+%{_mandir}/man8/kdumpctl.8.gz
+%{_mandir}/man8/kexec.8.gz
+%{_mandir}/man8/makedumpfile.8.gz
+%{_mandir}/man8/mkdumprd.8.gz
+%{_mandir}/man8/vmcore-dmesg.8.gz
%{_mandir}/man5/*
%{_unitdir}/kdump.service
%{_prefix}/lib/systemd/system-generators/kdump-dep-generator.sh
--
2.7.4
4 years, 10 months
[PATCH] kdumpctl: Batch extract required initramfs files
by Kairui Song
Currently we have to read multiple files from initramfs image in
kdumpctl, and we are calling lsinitrd for each file individually, and
the initramfs image will get decompressed for each lsinitrd call which
is a waste of time.
This patch will let kdumpctl extract all required files with a single
lsinitrd call, so the image will only get decompressed for once.
This commit relies on following dracut commits:
commit 986b12d391b8de6c820da1af9bfdb4153c340370
Author: Kairui Song <kasong(a)redhat.com>
lsinitrd: optimize performance when handling multiple files
commit f81c864eede2a11bfeb849cb2a2634be034ed7fb
Author: Kairui Song <kasong(a)redhat.com>
lsinitrd: allow to only unpack certain files
Performance compare:
Before:
real 0m1.657s
user 0m1.401s
sys 0m0.223s
After:
real 0m1.440s
user 0m1.087s
sys 0m0.330s
---
kdumpctl | 38 ++++++++++++++++++++++++++++++++++----
1 file changed, 34 insertions(+), 4 deletions(-)
diff --git a/kdumpctl b/kdumpctl
index 6a01c13..c6b52fb 100755
--- a/kdumpctl
+++ b/kdumpctl
@@ -17,6 +17,13 @@ TARGET_INITRD=""
FADUMP_REGISTER_SYS_NODE="/sys/kernel/fadump_registered"
#kdump shall be the default dump mode
DEFAULT_DUMP_MODE="kdump"
+INITRD_PREFETCH_FILES="\
+etc/cmdline.d/00-watchdog.conf \
+usr/lib/dracut/build-parameter.txt \
+usr/lib/dracut/loaded-kernel-modules.txt \
+$DRACUT_MODULES_FILE \
+"
+INITRD_TMP_PATH=""
image_time=0
[[ $dracutbasedir ]] || dracutbasedir=/usr/lib/dracut
@@ -32,6 +39,22 @@ if [ -f /etc/sysconfig/kdump ]; then
. /etc/sysconfig/kdump
fi
+# Wrapper for lsinitrd
+# possible required files in initramfs will be extarcted to a temp directory all at once
+# when this script just started, because batch extract is faster
+# Will try to read from the temp dir first, fall back to read the image if not found
+_lsinitrd()
+{
+ local file=${1##\/}
+ if [[ -e $INITRD_TMP_PATH/$file ]]; then
+ cat $INITRD_TMP_PATH/$file
+ return 0
+ else
+ lsinitrd $TARGET_INITRD -f $file
+ return 1
+ fi
+}
+
single_instance_lock()
{
local rc timeout=5
@@ -287,6 +310,13 @@ setup_initrd()
else
TARGET_INITRD="${KDUMP_BOOTDIR}/initramfs-${kdump_kver}kdump.img"
fi
+
+ INITRD_TMP_PATH="$(mktemp -t -d --suffix=.d kdumpctl.XXXXXX)"
+ [[ $? -ne 0 ]] && echo "Error: Failed to create temp dir to extract initramfs!" >&2 && exit 1
+ [[ -n "$INITRD_TMP_PATH" ]] && trap "rm -rf '$INITRD_TMP_PATH'" EXIT
+ pushd $INITRD_TMP_PATH &> /dev/null
+ lsinitrd --unpack $TARGET_INITRD $INITRD_PREFETCH_FILES &> /dev/null
+ popd &> /dev/null
}
check_files_modified()
@@ -378,7 +408,7 @@ check_dump_fs_modified()
_new_mntpoint="/kdumproot/$(get_mntpoint_from_target $_target)"
fi
- _dracut_args=$(lsinitrd $TARGET_INITRD -f usr/lib/dracut/build-parameter.txt)
+ _dracut_args=$(_lsinitrd usr/lib/dracut/build-parameter.txt)
if [[ -z "$_dracut_args" ]];then
echo "Warning: No dracut arguments found in initrd"
return 0
@@ -451,7 +481,7 @@ check_wdt_modified()
# ensure that watchdog module is loaded as early as possible
_alldrivers="${!_drivers[*]}"
[[ $_alldrivers ]] && wd_new="rd.driver.pre=${_alldrivers// /,}"
- wd_old=$(lsinitrd $TARGET_INITRD -f etc/cmdline.d/00-watchdog.conf)
+ wd_old=$(_lsinitrd etc/cmdline.d/00-watchdog.conf)
[[ "$wd_old" = "$wd_new" ]] && return 0
@@ -461,7 +491,7 @@ check_wdt_modified()
check_kmodules_modified()
{
# always sort again to avoid LANG/LC inconsistent problem
- local _old_modules="$(lsinitrd $TARGET_INITRD -f /usr/lib/dracut/loaded-kernel-modules.txt | sort)"
+ local _old_modules="$(_lsinitrd /usr/lib/dracut/loaded-kernel-modules.txt | sort)"
local _new_modules="$(get_loaded_kernel_modules | sort)"
[[ -z $_old_modules ]] && echo "Warning: Previous loaded kernel module list is absent or empty"
@@ -580,7 +610,7 @@ check_rebuild()
#in case of fadump mode, check whether the default/target
#initrd is already built with dump capture capability
if [ "$DEFAULT_DUMP_MODE" == "fadump" ]; then
- capture_capable_initrd=$(lsinitrd -f $DRACUT_MODULES_FILE $TARGET_INITRD | grep ^kdumpbase$ | wc -l)
+ capture_capable_initrd=$(_lsinitrd $DRACUT_MODULES_FILE | grep ^kdumpbase$ | wc -l)
fi
fi
--
2.17.1
4 years, 10 months
[PATCH v2] kdumpctl: Rebuild initramfs if loaded kernel modules changed
by Kairui Song
Currently, we only rebuilt kdump initramfs on config file change,
fs change, or watchdog related change. This will not cover the case
that hardware changed but fs layout and other configurations still
stays the same, and kdump may fail.
To cover such case, we can detect and compare loaded kernel modules,
if a hardware change requires the image to be rebuilt, loaded kernel
modules must have changed.
Starting from commit 7047294 dracut will record loaded kernel modules
when the image is built if hostonly mode is enabled. With this patch,
kdumpctl will compare the recorded value with currently loaded kernel
modules, and rebuild the image on change.
"kdumpctl start" will be a bit slower, as we have to call lsinitrd one
more time to get the loaded kernel modules list. I measure the time
consumption and we have an overall 0.2s increased loading time.
Time consumption of command "kdumpctl restart":
Before:
real 0m0.587s
user 0m0.481s
sys 0m0.102s
After:
real 0m0.731s
user 0m0.591s
sys 0m0.133s
Time comsumption of command "kdumpctl restart" with image rebuild:
Before (force rebuild):
real 0m10.972s
user 0m8.966s
sys 0m1.318s
After (inserted ~100 new modules):
real 0m11.220s
user 0m9.387s
sys 0m1.337s
Signed-off-by: Kairui Song <kasong(a)redhat.com>
---
kdumpctl | 30 ++++++++++++++++++++++++++++++
1 file changed, 30 insertions(+)
diff --git a/kdumpctl b/kdumpctl
index 13b8209..6a01c13 100755
--- a/kdumpctl
+++ b/kdumpctl
@@ -458,6 +458,31 @@ check_wdt_modified()
return 1
}
+check_kmodules_modified()
+{
+ # always sort again to avoid LANG/LC inconsistent problem
+ local _old_modules="$(lsinitrd $TARGET_INITRD -f /usr/lib/dracut/loaded-kernel-modules.txt | sort)"
+ local _new_modules="$(get_loaded_kernel_modules | sort)"
+
+ [[ -z $_old_modules ]] && echo "Warning: Previous loaded kernel module list is absent or empty"
+
+ local _added_modules=$(comm -13 <(echo "$_old_modules") <(echo "$_new_modules"))
+ local _dropped_modules=$(comm -23 <(echo "$_old_modules") <(echo "$_new_modules"))
+
+ if [ "$_old_modules" != "$_new_modules" ]; then
+ echo "Detected change(s) of loaded kernel modules list:"
+ [[ -n $_added_modules ]] && for _module in $_added_modules; do
+ echo " +$_module"
+ done
+ [[ -n $_dropped_modules ]] && for _module in $_dropped_modules; do
+ echo " -$_module"
+ done
+ return 1
+ fi
+
+ return 0
+}
+
# returns 0 if system is not modified
# returns 1 if system is modified
# returns 2 if system modification is invalid
@@ -485,6 +510,11 @@ check_system_modified()
return 1
fi
+ check_kmodules_modified
+ if [ $? -ne 0 ]; then
+ return 1
+ fi
+
return 0
}
--
2.17.1
4 years, 10 months
[PATCH] dracut-module-setup.sh: don't include multipath-hostonly
by Kairui Song
This commit basically reverts commit c755499fad6f48354017f7fbe577e92b4a2bd407,
and make use of new introduced tri-state hostonly mode.
Following dracut commits merged multipath-hostonly into multipath
module, and introduced a tri-state hostonly mode.
commit 35e86ac117acbfd699f371f163cdda9db0ebc047
Author: Kairui Song <kasong(a)redhat.com>
Date: Thu Jul 5 16:20:04 2018 +0800
Merge 90-multipath-hostonly and 90-multipath
commit a695250ec7db21359689e50733c6581a8d211215
Author: Kairui Song <kasong(a)redhat.com>
Date: Wed Jul 4 17:21:37 2018 +0800
Introduce tri-state hostonly mode
multipath-hostonly module was introduced only for kdump, because kdump
need a more strict hostonly policy for multipath device to save memory.
Now multipath module will provide the behave we wanted by setting
hostonly mode to strict.
---
dracut-module-setup.sh | 8 --------
mkdumprd | 2 +-
2 files changed, 1 insertion(+), 9 deletions(-)
diff --git a/dracut-module-setup.sh b/dracut-module-setup.sh
index c0f1a88..0c3609f 100755
--- a/dracut-module-setup.sh
+++ b/dracut-module-setup.sh
@@ -7,13 +7,6 @@ if ! [[ -d "${initdir}/tmp" ]]; then
mkdir -p "${initdir}/tmp"
fi
-is_mpath() {
- local _dev=$1
- [ -e /sys/dev/block/$_dev/dm/uuid ] || return 1
- [[ $(cat /sys/dev/block/$_dev/dm/uuid) =~ mpath- ]] && return 0
- return 1
-}
-
check() {
[[ $debug ]] && set -x
#kdumpctl sets this explicitly
@@ -35,7 +28,6 @@ depends() {
_dep="$_dep network"
fi
- for_each_host_dev_and_slaves is_mpath && _dep="$_dep multipath-hostonly"
echo $_dep
return 0
}
diff --git a/mkdumprd b/mkdumprd
index 2f71f7b..3d89a80 100644
--- a/mkdumprd
+++ b/mkdumprd
@@ -37,7 +37,7 @@ is_wdt_addition_needed
[[ $? -eq 0 ]] && WDTCFG="-a watchdog"
extra_modules=""
-dracut_args=("--quiet" "--hostonly" "--hostonly-cmdline" "--hostonly-i18n" "-o" "plymouth dash resume ifcfg" $WDTCFG)
+dracut_args=("--quiet" "--hostonly" "--hostonly-cmdline" "--hostonly-i18n" "--hostonly-mode" "strict" "-o" "plymouth dash resume ifcfg" $WDTCFG)
OVERRIDE_RESETTABLE=0
add_dracut_arg() {
--
2.17.1
4 years, 10 months
[PATCH v2] kdumpctl: Rebuild initramfs if loaded kernel modules changed
by Kairui Song
Currently, we only rebuilt kdump initramfs on config file change,
fs change, or watchdog related change. This will not cover the case
that hardware changed but fs layout and other configurations still
stays the same, and kdump may fail.
To cover such case, we can detect and compare loaded kernel modules,
if a hardware change requires the image to be rebuilt, loaded kernel
modules must have changed.
Starting from commit 7047294 dracut will record loaded kernel modules
when the image is built if hostonly mode is enabled. With this patch,
kdumpctl will compare the recorded value with currently loaded kernel
modules, and rebuild the image on change.
Signed-off-by: Kairui Song <kasong(a)redhat.com>
---
kdumpctl | 28 ++++++++++++++++++++++++++++
1 file changed, 28 insertions(+)
diff --git a/kdumpctl b/kdumpctl
index 13b8209..12289fa 100755
--- a/kdumpctl
+++ b/kdumpctl
@@ -458,6 +458,29 @@ check_wdt_modified()
return 1
}
+check_kmodules_modified()
+{
+ # always sort again to avoid LANG/LC inconsistent problem
+ local _old_modules="$(lsinitrd $TARGET_INITRD -f /usr/lib/dracut/loaded-kernel-modules.txt | sort)"
+ local _new_modules="$(get_loaded_kernel_modules | sort)"
+
+ local _added_modules=$(comm -13 <(echo "$_old_modules") <(echo "$_new_modules"))
+ local _dropped_modules=$(comm -23 <(echo "$_old_modules") <(echo "$_new_modules"))
+
+ if [ "$_old_modules" != "$_new_modules" ]; then
+ echo "Detected change(s) of loaded kernel modules list:"
+ [[ -n $_added_modules ]] && for _module in $_added_modules; do
+ echo " +$_module"
+ done
+ [[ -n $_dropped_modules ]] && for _module in $_dropped_modules; do
+ echo " -$_module"
+ done
+ return 1
+ fi
+
+ return 0
+}
+
# returns 0 if system is not modified
# returns 1 if system is modified
# returns 2 if system modification is invalid
@@ -485,6 +508,11 @@ check_system_modified()
return 1
fi
+ check_kmodules_modified
+ if [ $? -ne 0 ]; then
+ return 1
+ fi
+
return 0
}
--
2.17.1
4 years, 10 months
[PATCH] kdumpctl: Rebuild initramfs if loaded kernel modules changed
by Kairui Song
Currently, we only rebuilt kdump initramfs on config file change,
fs change, or watchdog related change. This will not cover the case
that hardware changed but fs layout and other configurations still
stays the same, and kdump may fail.
To cover such case, we can detect and compare loaded kernel modules,
if a hardware change requires the image to be rebuilt, loaded kernel
modules must have changed.
Starting from commit 7047294 dracut will record loaded kernel modules
when the image is built if hostonly mode is enabled. With this patch,
kdumpctl will compare the recorded value with currently loaded kernel
modules, and rebuild the image on change.
Signed-off-by: Kairui Song <kasong(a)redhat.com>
---
kdumpctl | 29 +++++++++++++++++++++++++++++
1 file changed, 29 insertions(+)
diff --git a/kdumpctl b/kdumpctl
index 13b8209..6260c50 100755
--- a/kdumpctl
+++ b/kdumpctl
@@ -458,6 +458,30 @@ check_wdt_modified()
return 1
}
+check_kmodules_modified()
+{
+ local _old_modules="$(lsinitrd $TARGET_INITRD -f */lib/dracut/loaded-kernel-modules.txt)"
+ local _new_modules="$(get_loaded_kernel_modules)"
+
+ [[ -z $_old_modules ]] && return 0
+
+ local _added_modules=$(comm -13 <(echo "$_old_modules" | sort) <(echo "$_new_modules" | sort))
+ local _dropped_modules=$(comm -23 <(echo "$_old_modules" | sort) <(echo "$_new_modules" | sort))
+
+ if [ "$_old_modules" != "$_new_modules" ]; then
+ echo "Detected change(s) of loaded kernel modules list:"
+ [[ -n $_added_modules ]] && for _module in $_added_modules; do
+ echo " +$_module"
+ done
+ [[ -n $_dropped_modules ]] && for _module in $_dropped_modules; do
+ echo " -$_module"
+ done
+ return 1
+ fi
+
+ return 0
+}
+
# returns 0 if system is not modified
# returns 1 if system is modified
# returns 2 if system modification is invalid
@@ -485,6 +509,11 @@ check_system_modified()
return 1
fi
+ check_kmodules_modified
+ if [ $? -ne 0 ]; then
+ return 1
+ fi
+
return 0
}
--
2.17.1
4 years, 10 months
[PATCH] dracut-module-setup.sh: pass ip=either6 param for ipv6
by Pingfan Liu
Kdump always use _proto=dhcp for both ipv4 and ipv6. But for ipv6
the dhcp address assignment is not like ipv4, there are different ways
for it, stateless and stateful, see below document:
https://fedoraproject.org/wiki/IPv6Guide
In case stateless, kernel can do the address assignment, dracut use
_proto=auto6; for stateful case, dracut use _proto=dhcp6.
But it is hard to decide whether stateless or stateful takes effect,
hence, dracut introduces ip=either6 option, which can try both of these
method automatically for us. For detail, refer to dracut:
commit 67354ee 40network: introduce ip=either6 option
We do not see bug reports before because for the most auto6 cases
kernel assign ip address before dhclient, kdump just happened to work.
Signed-off-by: Pingfan Liu <piliu(a)redhat.com>
---
dracut-module-setup.sh | 2 ++
kexec-tools.spec | 2 +-
2 files changed, 3 insertions(+), 1 deletion(-)
diff --git a/dracut-module-setup.sh b/dracut-module-setup.sh
index 7505e81..f87617a 100755
--- a/dracut-module-setup.sh
+++ b/dracut-module-setup.sh
@@ -293,6 +293,8 @@ kdump_setup_netdev() {
_static=$(kdump_static_ip $_netdev $_srcaddr)
if [ -n "$_static" ]; then
_proto=none
+ elif is_ipv6_address $_srcaddr; then
+ _proto=either6
else
_proto=dhcp
fi
diff --git a/kexec-tools.spec b/kexec-tools.spec
index 5712acb..cc546d2 100644
--- a/kexec-tools.spec
+++ b/kexec-tools.spec
@@ -50,7 +50,7 @@ Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Requires(pre): coreutils sed zlib
-Requires: dracut >= 046-7
+Requires: dracut >= 047-34.git20180604
Requires: dracut-network >= 044-117
Requires: ethtool
BuildRequires: zlib-devel zlib zlib-static elfutils-devel-static glib2-devel bzip2-devel ncurses-devel bison flex lzo-devel snappy-devel
--
2.7.4
4 years, 11 months
[PATCH] dracut-module-setup.sh: install /etc/hosts when using fence_kdump
by Pingfan Liu
When using fence_kdump, module-setup will create a kdump.conf with
fence_kdump_nodes. The node name comes from the cluster xml, which may
use the hostname alias. Later in kdump stage, "fence_kdump_send alias_1
alias_2" sends out notification to peers. Hence it requires /etc/hosts
and nsswitch.conf to make alias work.
Signed-off-by: Pingfan Liu <piliu(a)redhat.com>
---
dracut-module-setup.sh | 2 ++
1 file changed, 2 insertions(+)
diff --git a/dracut-module-setup.sh b/dracut-module-setup.sh
index c0f1a88..7505e81 100755
--- a/dracut-module-setup.sh
+++ b/dracut-module-setup.sh
@@ -703,6 +703,8 @@ kdump_configure_fence_kdump () {
kdump_install_net $node
done
+ dracut_install /etc/hosts
+ dracut_install /etc/nsswitch.conf
dracut_install $FENCE_KDUMP_SEND
}
--
2.7.4
4 years, 11 months